Page MenuHomePhabricator

Maximum filename length for GWT = 206?
Closed, ResolvedPublic

Description

see http://lists.wikimedia.org/pipermail/glamtools/2014-May/000143.html

the current Config::$title_max_length = 207 (bytes). the max allowed by commons is 240 (bytes), https://commons.wikimedia.org/wiki/Commons:File_naming.

in the email thread referenced above, a request to cancel the upload of an item that does not meet the title length constraint was made. another task is to also set-up a notification system for GWToolset, but that will be addressed in another bug.


Version: unspecified
Severity: normal

Details

Reference
bz65323

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:11 AM
bzimport set Reference to bz65323.
bzimport added a subscriber: Unknown Object (MLST).
dan-nl created this task.May 14 2014, 11:59 PM

see http://lists.wikimedia.org/pipermail/glamtools/2014-March/000038.html

in the email reference above, it was mentioned that there was confusion over the title creation for an item. currently GWToolset concatenates the MediaWiki template’s title parameter with the GWToolset title-identifier.

Created attachment 15391
sample dataset with an item that has a title that is too long

Attached:

Created attachment 15392
metadata mapping to be used with the dataset

Attached:

Change 133409 had a related patch set uploaded by Dan-nl:
Max title length

https://gerrit.wikimedia.org/r/133409

Change 133409 abandoned by Dan-nl:
Max title length

Reason:

  • separating the tests from the patch

https://gerrit.wikimedia.org/r/133409

Change 134073 had a related patch set uploaded by Dan-nl:
Max title length

https://gerrit.wikimedia.org/r/134073

Change 134073 merged by jenkins-bot:
Max title length

https://gerrit.wikimedia.org/r/134073

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM